org.apache.lucene.spatial.tier

## Class Shape

- java.lang.Object
- - org.apache.lucene.spatial.tier.Shape

-     public class Shape
      extends java.lang.Object

  NOTE: This API is still in flux and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shape(java.lang.String tierId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBox(double boxId)`
    `java.util.List<java.lang.Double>` | `getArea()`
    `java.lang.String` | `getTierId()`
    `boolean` | `isInside(double boxId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Shape

          public Shape(java.lang.String tierId)

  - ### Method Detail

    - #### addBox

          public void addBox(double boxId)

    - #### getArea

          public java.util.List<java.lang.Double> getArea()

    - #### getTierId

          public java.lang.String getTierId()

    - #### isInside

          public boolean isInside(double boxId)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.